@import "src/@fuse/scss/fuse";

.font-panel-title {
    font-size: 20px;
    margin-top: 10px;
    font-weight: 400;
}

.example-action-buttons {
    padding-bottom: 20px;
  }
  
  .example-headers-align .mat-expansion-panel-header-title,
  .example-headers-align .mat-expansion-panel-header-description {
    flex-basis: 0;
  }
  
  .example-headers-align .mat-expansion-panel-header-description {
    justify-content: space-between;
    align-items: center;
  }

  .top-bg {
    position: absolute;
    z-index: 1;
    top: 0;
    right: 0;
    left: 0;
    height: 200px ;
    background-image: $top-bg-image;
    background-size: cover;
    
    @include media-breakpoint-down(xs) {
        height: 240px;
    }
}

#invoice {

  &.modern {
      padding: 0;
      overflow: auto;

      .invoice-container {
          padding: 5px;

          .card {
              width: 900px;
              min-width: 900px;
              max-width: 900px;
              padding: 10px;
              overflow: hidden;
              background: #FFFFFF;
              // @include mat-elevation(7);

              .header-invoice {

                  .ids {
                      line-height: 22px;
                      color: rgba(0, 0, 0, 0.54);

                      .detail {
                          width: 160px;
                      }

                      .seller {
                          margin-bottom: 80px;

                          .logo {
                              width: 156px;
                          }
                      }

                      .client {

                          .label {
                              width: 156px;
                              font-size: 18px;
                              font-weight: 300;
                          }
                      }

                      .divider {
                          width: 1px;
                          margin: 0 35px;
                          background-color: rgba(0, 0, 0, 0.12);
                          height: 144px;
                      }
                  }

                  .summary {
                      font-size: 15px;

                      .label {
                          color: rgba(0, 0, 0, 0.54);
                          text-align: left;
                          padding-right: 6px;
                      }

                      .value {
                          color: rgba(0, 0, 0, 1);
                      }

                      .code {
                          font-size: 25px;
                          font-weight: 300;

                          td {
                              padding-bottom: 3px;
                          }
                      }
                  }
              }

              .content {

                  .invoice-table {
                      margin-top: 50px;
                      font-size: 15px;

                      .title {
                          font-size: 17px;
                      }

                      .detail {
                          margin-top: 8px;
                          font-size: 12px;
                          color: rgba(0, 0, 0, 0.54);
                          max-width: 360px;
                      }
                  }

                  .invoice-table-footer {
                      margin: 32px 0 50px 0;

                      tr {

                          td {
                              text-align: left;
                              font-size: 17px;
                              font-weight: 500;
                              color: rgba(0, 0, 0, 0.54);
                              border-bottom: none;
                              //padding: 8px 8px;

                              &:first-child {
                                  text-align: left;
                              }
                          }

                          &.discount {

                              td {
                                  padding-bottom: 3px;
                              }
                          }

                          &.total {

                              td {
                                  //padding: 32px 8px;
                                  border-top: 1px solid rgba(0, 0, 0, 0.12);
                                  font-size: 35px;
                                  font-weight: 300;
                                  color: rgba(0, 0, 0, 1);
                              }
                          }
                      }
                  }
              }

              .footer {

                  .note {
                      font-size: 15px;
                      font-weight: 500;
                      margin-bottom: 24px;
                  }

                  // IE10 fix
                  .logo, .small-note {
                      -ms-flex: 0 1 auto;
                  }

                  .logo {
                      width: 32px;
                      min-width: 32px;
                      margin-right: 24px;
                  }

                  .small-note {
                      font-size: 12px;
                      font-weight: 500;
                      color: rgba(0, 0, 0, 0.54);
                      line-height: 18px;
                  }
              }
          }
      }
  }
}


@import "src/@fuse/scss/fuse";

:host {

    .header {

        .search-input-wrapper {
            max-width: 480px;
        }

        @include media-breakpoint-down(xs) {
            height: 176px !important;
            min-height: 176px !important;
            max-height: 176px !important;
        }
    }

    .top-bg {
        @include media-breakpoint-down(xs) {
            height: 240px;
        }
    }

    .products-table {
        flex: 1 1 auto;
        border-bottom: 1px solid rgba(0, 0, 0, .12);
        overflow: auto;

        .mat-header-row {
            min-height: 64px;
        }

        .product {
            position: relative;
            cursor: pointer;
            height: 84px;
        }

        .mat-cell {
            min-width: 0;
            display: flex;
            align-items: center;
        }

        .mat-column-id {
            flex: 0 1 84px;
        }

        .mat-column-image {
            flex: 0 1 84px;

            .product-image {
                width: 52px;
                height: 52px;
                border: 1px solid rgba(0, 0, 0, .12);
            }
        }

        .mat-column-buttons {
            flex: 0 1 80px;
        }

        .quantity-indicator {
            display: inline-block;
            vertical-align: middle;
            width: 8px;
            height: 8px;
            border-radius: 4px;
            margin-right: 8px;

            & + span {
                display: inline-block;
                vertical-align: middle;
            }
        }

        .active-icon {
            border-radius: 50%;
        }
    }
}